Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.sourcetypehandlers
Interface VisitorStarter

All Known Implementing Classes:
  DummyVisitorStarter, JspSymbolFacade

public interface VisitorStarter

Interface for starting an implementation of the parser visitors for the grammars.

Author:
  pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be

Method Summary
`void` | `start(java.lang.Object rootNode)` Start the visitor, given the root-node of the AST.

Method Detail

### start

    public void start(java.lang.Object rootNode)

  Start the visitor, given the root-node of the AST.

  Parameters:
    `rootNode` - The root node of the AST

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.